## org.apache.commons.configuration
Class StrictConfigurationComparator

    java.lang.Object
      org.apache.commons.configuration.StrictConfigurationComparator

All Implemented Interfaces:
  ConfigurationComparator

    public class StrictConfigurationComparator

extends Object
implements ConfigurationComparator

Strict comparator for configurations.

Since:
  1.0
Version:
  $Id: StrictConfigurationComparator.java 1210177 2011-12-04 18:58:19Z oheger $
Author:
  Herve Quiroz, Yoav Shapira

Constructor Summary
`StrictConfigurationComparator()` Create a new strict comparator.

Method Summary
`boolean` `compare(Configuration a, Configuration b)` Compare two configuration objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrictConfigurationComparator

    public StrictConfigurationComparator()

  Create a new strict comparator.

Method Detail

### compare

    public boolean compare(Configuration a,
                           Configuration b)

  Compare two configuration objects.

  Specified by:
    `compare` in interface `ConfigurationComparator`
  Parameters:
    `a` - the first configuration
    `b` - the second configuration
  Returns:
    true if keys from a are found in b and keys from b are found in a and for each key in a, the corresponding value is the sale in for the same key in b

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.